-- localisations
local L = AceLibrary("AceLocale-2.2"):new("ShakedownAfflicted")
L:RegisterTranslations("enUS", function() return {
	["Afflicted"] = true,
} end)

local PERIOD = 9.9

local AddOn = ShakedownAddonBase:new("Afflicted", L["Afflicted"])
local prevAnchor
local Config
local AE = AceLibrary("AceEvent-2.0")

function AddOn:Activate()
	if not AddOn.class.prototype.Activate(self) then return end

	prevAnchor = Afflicted.db.profile.anchor
	Afflicted.db.profile.anchor = true
	Afflicted:Reload()

	Config = Afflicted:GetModule("Config")
	Config:TestTimers()
	AE:ScheduleRepeatingEvent("AfflictedShakedown", function() Config:TestTimers() end, PERIOD)
end

function AddOn:Deactivate()
	AddOn.class.prototype.Deactivate(self)

	AE:CancelScheduledEvent("AfflictedShakedown")
	Afflicted:ClearTimers(Afflicted.spell)
	Afflicted:ClearTimers(Afflicted.buff)

	if not prevAnchor then
		Afflicted.db.profile.anchor = false
		Afflicted:Reload()
	end
end
